# Create taxation items for a debit memo Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates taxation items for a debit memo. Endpoint: POST /v1/debit-memos/{debitMemoKey}/taxation-items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `debitMemoKey` (string, required) The unique ID or number of a debit memo. For example, 8a8082e65b27f6c3015ba419f3c2644e or DM00000001. ## Request fields (application/json): - `taxationItems` (array) Container for taxation items. Example: [{"name":"STATE TAX","memoItemId":"8ad093f793300daf01933d50a548781f","jurisdiction":"CALIFORNIA","taxAmount":0.5,"taxCode":"ServiceTaxCode","taxDate":"2024-11-18","taxRate":0.05,"taxRateType":"Percentage"}] - `taxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxationItems.financeInformation` (object) Container for the finance information related to the taxation item. - `taxationItems.financeInformation.salesTaxPayableAccountingCode` (string) The accounting code for the sales taxes payable. - `taxationItems.jurisdiction` (string, required) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `taxationItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `taxationItems.memoItemId` (string) The ID of the debit memo that the taxation item is created for. - `taxationItems.name` (string, required) The name of the taxation item. - `taxationItems.sourceTaxItemId` (string) The ID of the taxation item of the invoice, which the debit memo is created from. If you want to use this REST API to create taxation items for a debit memo created from an invoice, the taxation items of the invoice must be created or imported through the SOAP API call. Note: - This field is only used if the debit memo is created from an invoice. - If you do not contain this field in the request body, Zuora will automatically set a value for the sourceTaxItemId field based on the tax location code, tax jurisdiction, and tax rate. - `taxationItems.taxAmount` (number, required) The amount of the tax applied to the debit memo. - `taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific debit memo. - `taxationItems.taxCodeDescription` (string) The description of the tax code. - `taxationItems.taxDate` (string) The date when the tax is applied to the debit memo. - `taxationItems.taxRate` (number, required) The tax rate applied to the debit memo. - `taxationItems.taxRateDescription` (string) The description of the tax rate. - `taxationItems.taxRateType` (string, required) The type of the tax rate applied to the debit memo. Enum: "Percentage", "FlatFee" ## Response 200 fields (application/json): - `success` (boolean) Returns true if the request was processed successfully. - `taxationItems` (array) Container for taxation items. - `taxationItems.createdById` (string) The ID of the Zuora user who created the taxation item. - `taxationItems.createdDate` (string) The date and time when the taxation item was created in the Zuora system, in yyyy-mm-dd hh:mm:ss format. - `taxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxationItems.financeInformation` (object) Container for the finance information related to the taxation item. - `taxationItems.financeInformation.accountsReceivableAccountingCode` (string) The accounting code for accounts receivable. - `taxationItems.financeInformation.accountsReceivableAccountingCodeType` (string) The type of the accounting code for accounts receivable. - `taxationItems.financeInformation.salesTaxPayableAccountingCode` (string) The accounting code for the sales taxes payable. - `taxationItems.financeInformation.salesTaxPayableAccountingCodeType` (string) The type of the accounting code for the sales taxes payable. - `taxationItems.id` (string) The ID of the taxation item. - `taxationItems.invoiceItemId` (string) The ID of the invoice associated with the taxation item. - `taxationItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `taxationItems.locationCode` (string,null) The identifier for the location based on the value of the taxCode field. - `taxationItems.name` (string) The name of the taxation item. - `taxationItems.taxAmount` (number) The amount of the tax applied to the invoice. - `taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice. - `taxationItems.taxCodeDescription` (string,null) The description of the tax code. - `taxationItems.taxDate` (string) The date when the tax is applied to the invoice. - `taxationItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxInclusive", "TaxExclusive" - `taxationItems.taxRate` (number) The tax rate applied to the invoice. - `taxationItems.taxRateDescription` (string,null) The description of the tax rate. - `taxationItems.taxRateType` (string) The type of the tax rate applied to the invoice. Enum: "Percentage", "FlatFee" - `taxationItems.updatedById` (string) The ID of the Zuora user who last updated the taxation item. - `taxationItems.updatedDate` (string) The date and time when the taxation item was last updated, in yyyy-mm-dd hh:mm:ss format. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.